# Get schema

Gets JSON Schema of user attributes.

{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for server-side methods are applied to this method.
{% /html %}

Endpoint: GET /project/{project_id}/attribute_schema
Version: v1
Security: AttributesServer

## Path parameters:

  - `project_id` (string, required)
    Login project ID from Publisher Account.

## Response 400 fields (application/json):

  - `error_code` (string)
    Error code.

  - `error_description` (string)
    Error description.

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 403 fields (application/json):

  - `error_code` (string)
    Error code.

  - `error_description` (string)
    Error description.

## Response 404 fields (application/json):

  - `error_code` (string)
    Error code.

  - `error_description` (string)
    Error description.

## Response 429 fields (application/json):

  - `error_code` (string)
    Error code.

  - `error_description` (string)
    Error description.


